/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * common_dialog.h
 * -- 
 * $Id: common_dialog.h,v 1.1 2001/06/04 11:55:42 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_COMMON_DIALOG_H
#define _MEKO_COMMON_DIALOG_H

/* Required includes */
#include <stdarg.h>
#include <gtk/gtk.h>

/* Create a new dialog */
GtkWidget *common_dialog_new(const gchar *, const gchar *, ...);
GtkWidget *common_dialog_newv(const gchar *, const gchar *, va_list);

/* Create a button box containing buttons */
GtkWidget *common_dialog_buttons(GtkWidget *, GtkWidget *, ...);
GtkWidget *common_dialog_buttonsv(GtkWidget *, GtkWidget *, va_list);

#endif /* !_MEKO_CONNECT_DIALOG_H */
