/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * connect_dialog.h
 * -- 
 * $Id: connect_dialog.h,v 1.2 2001/06/04 11:59:31 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_CONNECT_DIALOG_H
#define _MEKO_CONNECT_DIALOG_H

/* Required includes */
#include <glib.h>
#include "say2_server.h"

/* Call back function if the dialog is OKd.  The ConnectValues structure is
 * destroyed after this call, so if you want it further, you need to copy it
 */
typedef void (*ConnectDialogFn)(ConnectValues *, void *);

/* Show the connection dialog */
void connect_dialog_new(ConnectValues *, ConnectDialogFn, void *);

#endif /* !_MEKO_CONNECT_DIALOG_H */
